Skip to main content
GET
/
api
/
v1
/
inventory
/
movements
Listar movimientos de inventario
curl --request GET \
  --url https://api.lapyme.com.ar/api/v1/inventory/movements \
  --header 'Authorization: Bearer <token>'
{
  "request_id": "<string>",
  "data": [
    {
      "object": "inventory_movement",
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "movement_type": "<string>",
      "quantity": 123,
      "balance": 123,
      "quantity_change": 123,
      "reserved_quantity_change": 123,
      "incoming_quantity_change": 123,
      "reason": "<string>",
      "notes": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "created_by_name": "<string>",
      "warehouse_name": "<string>",
      "target_warehouse_name": "<string>",
      "reference_type": "sale",
      "reference_id": "<string>",
      "reference_label": "<string>"
    }
  ],
  "has_more": true,
  "next_cursor": "<string>",
  "object": "list",
  "url": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.lapyme.com.ar/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Incluí tu API key en el header Authorization con el prefijo Bearer.

Query Parameters

product_id
string<uuid>
required

ID de producto o variante

warehouse_id
string<uuid>

Filtra por depósito

cursor
string

Valor de next_cursor recibido en la respuesta anterior

limit
integer
default:50

Cantidad máxima de resultados por respuesta

Required range: 1 <= x <= 100

Response

Movimientos obtenidos exitosamente

request_id
string
required
data
object[]
required
has_more
boolean
required
next_cursor
string | null
required
object
enum<string>
required

List-envelope discriminator.

Available options:
list
url
string
required

Requested list path.